package com.persagy.apm.energyalarmstarter.alarmdata.model.dto;

import lombok.Data;
import org.springframework.boot.configurationprocessor.json.JSONObject;

import java.util.List;

/**
 * 报警条件
 *
 * @author lixing
 * @version V1.0 2021/9/15 10:32 下午
 **/
@Data
public class AlarmCondition {
    /**
     * 触发条件
     */
    private String trigger;
    /**
     * 结束条件
     */
    private String end;
    /**
     * 监测指标列表
     */
    private List<String> infoCode;
    /**
     * 持续多久恢复（秒）
     */
    private Integer endUphold;
    /**
     * 持续多久触发（秒）
     */
    private Integer triggerUphold;
    /**
     * 存储用户自定义的配置
     */
    private JSONObject configs;
}
