package com.persagy.apm.energyalarmstarter.alarmdata.utils;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.boot.configurationprocessor.json.JSONObject;

/**
 * 对象转换为JSONObject
 *
 * @author lixing
 * @version V1.0 2021/9/15 11:26 下午
 **/
public class Obj2JSONObject {
    public static JSONObject convert(Object o) throws Exception{
        ObjectMapper objectMapper = new ObjectMapper();
        String tmp = objectMapper.writeValueAsString(o);
        return new JSONObject(tmp);
    }

    public static <T> T reverse(JSONObject jsonObject, Class<T> clazz) throws Exception{
        String json = jsonObject.toString();
        ObjectMapper objectMapper = new ObjectMapper();
        return objectMapper.readValue(json, clazz);
    }
}
